Subject: Re: read in sh scripts (b18)
From: [email-masked] (Tony Pires)

17 Sep 1998 10:21:23 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]
Cc: Christoph Kukulies <[email-masked]>

Try this:

#! /bin/sh
echo -e "enter yes/no: \c"; read answer; echo $answer
echo -e "enter yes/no: \c"; read answer; echo $answer

I don't know why it works!

At 06:00 PM 9/15/98 +0200, you wrote:
>
>While testing some shell scripts under b18 I find that
>
>echo -n 'enter yes/no:'
>read answer
>echo $answer
>echo -n 'enter yes/no:'
>read answer
>echo $answer
>
>skips the second read.
>
>It look too much like a FAQ to me like tty mode, buffering or 
>a cr/lf issue that I can't believe it's a bug.
>
>
>-- 
>Chris Christoph P. U. Kukulies [email-masked]
>Latest feature of Visual C++ 6.0: 'Command-line builds' - 
>msdev crc.dsw /MAKE "WinCRC - Win32 Debug" /Rebuild /OUT wincrc.log
>Taken from: MSJ Oct 98, p. 19   -- :-O
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>
>
>
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".